/* --------------------------------------------------
LANDINGS
----------------------------------------------------- */
.hero-page {
    min-height: 380px;
    overflow: hidden;
    position: relative;

    .container-fluid,
    .row {
        height: 100%;
    }

    .hero-img {
        min-height: 380px;
        height: 100%;
        position: relative;

        img {
            position: absolute;
            right: 0;
            bottom: 0;
        }
    }

    &.hero-two {
        height: initial;
        padding: 5% 0;
        background-repeat: no-repeat;
        background-size: cover;
        background-position: center center;
        position: relative;

        &::before {
            content: '';
            width: 100%;
            height: 100%;
            position: absolute;
            left: 0;
            top: 0;
            background: linear-gradient(rgba($color__titles,0),rgba($color__titles,1));
        }

        &::after {
            content: '';
            width: 100%;
            height: 100%;
            position: absolute;
            left: 0;
            top: 0;
            background: rgba($color__titles,0.8);
        }

        .container-fluid {
            position: relative;
            z-index: 10;
        }

        .logo {
            max-width: 250px;
            max-height: 80px;
        }

        hr {
            width: 100%;
            height: 1px;
            background: #dfd7ff;
            display: block;
            background-color: hsla(0,0%,98%,.08);
        }
    }
}

#page-form {
    margin: 20px 0;
    padding: 30px 40px;
    border-radius: 4px;

    &.two {
        padding: 0;;
    }

    h1,
    h2,
    h3,
    h4,
    h5,
    h6 {
        color: $color__white;
        font-weight: $font__weight--normal;
    }

    div.wpforms-container-full {
        margin: 0;
        padding: 0;

        input[type="text"],
        input[type="email"],
        input[type="number"],
        input[type="tel"],
        input[type="url"],
        input[type="phone"],
        input[type="password"],
        textarea {
            width: 100%;
            text-align: left;
            background: $color__white;
            color: $color__titles;
            border: 1px solid $color__grey--regent;
            border-radius: 4px;

            &::placeholder {
                color: $color__text;
            }
        }

        select {
            color: $color__titles;
            text-align: left;
            border: 0;
            border-radius: 0;
        }

        .country-list {
            color: $color__titles;
        }

        input[type="radio"],
        input[type="checkbox"] {
            display: none;
        }

        input[type="radio"] + label,
        input[type="checkbox"] + label {
            cursor: pointer;
        }

        input[type="radio"]:checked + label:before,
        input[type="checkbox"]:checked + label:before {
            line-height: 11.5px;
            color: $color__yellow;
            border-color: $color__yellow;
        }

        .wpforms-form input[type=submit],
        .wpforms-form button[type=submit],
        .wpforms-form .wpforms-page-button,
        button,
        input[type="submit"] {
            background: $color__yellow;
            border-color: $color__yellow;
            color: $color__titles;
            border-radius: 4px;
            padding: 12px 24px;
        }

        .wpforms-page-indicator {
            * {
                text-align: center;
            }

            .wpforms-page-indicator-steps {
                display: block;
            }

            .wpforms-page-indicator-page-progress-wrap {
                height: 4px;
                margin-top: 12px;
                background: rgba(black,0.3);

                .wpforms-page-indicator-page-progress {
                    background: $color__secondary !important;
                }
            }
        }
    }
}

/* --------------------------------------------------
PAGE TEMPLATE LANDING #1
----------------------------------------------------- */
.template-landing-main-features {
    .feature {
        .icon {
            width: 50px;
            height: 50px;
            line-height: 50px;
            text-align: center;
            background: lighten($color__blue,30%);
            color: $color__blue;
            border-radius: 50%;
        }

        .title {
            font-weight: $font__weight--normal;
        }

        &:nth-child(2n+0) {
            .icon {
                background: lighten($color__yellow,30%);
                color: $color__yellow;
            }
        }

        &:nth-child(3n+0) {
            .icon {
                background: lighten($color__main,30%);
                color: $color__main;
            }
        }
    }
}


/* --------------------------------------------------
PAGE TEMPLATE LANDING #2
----------------------------------------------------- */
body.page-template-landings-page-template,
body.page-template-landings-page-template-two,
body.page-template-gurupay {

    #header .btn.btn--primary{
        background: $color__main;
        color: $color__white;
    }

    .hero-page {
        &.hero-two {
            padding-top: 140px;
        }
    }

    #contact-form{
        color: #fff;

        h2,h3,h4,h5,h6{
            color: #fff;
        }

        hr {
            width: 100%;
            height: 1px;
            background: #dfd7ff;
            display: block;
            background-color: hsla(0,0%,98%,.08);
        }
    }
}

/**
 * GuruPay
 */
 body.page-template-gurupay{
    .template-landing-main-features .feature .card{
        height: 100%;
    }

    .hero-page .gurupay-logo{
        width: 140px;
    }
 }
